	.file	"cockpit.cpp"
	.text
	.section	.text._ZNSt6vectorIjSaIjEED2Ev,"axG",@progbits,_ZNSt6vectorIjSaIjEED5Ev,comdat
	.align 2
	.weak	_ZNSt6vectorIjSaIjEED2Ev
	.type	_ZNSt6vectorIjSaIjEED2Ev, @function
_ZNSt6vectorIjSaIjEED2Ev:
.LFB3326:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movq	(%rdi), %rdi
	testq	%rdi, %rdi
	je	.L1
	call	_ZdlPv
.L1:
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3326:
	.size	_ZNSt6vectorIjSaIjEED2Ev, .-_ZNSt6vectorIjSaIjEED2Ev
	.weak	_ZNSt6vectorIjSaIjEED1Ev
	.set	_ZNSt6vectorIjSaIjEED1Ev,_ZNSt6vectorIjSaIjEED2Ev
	.section	.text._ZNSt6vectorIfSaIfEED2Ev,"axG",@progbits,_ZNSt6vectorIfSaIfEED5Ev,comdat
	.align 2
	.weak	_ZNSt6vectorIfSaIfEED2Ev
	.type	_ZNSt6vectorIfSaIfEED2Ev, @function
_ZNSt6vectorIfSaIfEED2Ev:
.LFB3638:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movq	(%rdi), %rdi
	testq	%rdi, %rdi
	je	.L3
	call	_ZdlPv
.L3:
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3638:
	.size	_ZNSt6vectorIfSaIfEED2Ev, .-_ZNSt6vectorIfSaIfEED2Ev
	.weak	_ZNSt6vectorIfSaIfEED1Ev
	.set	_ZNSt6vectorIfSaIfEED1Ev,_ZNSt6vectorIfSaIfEED2Ev
	.section	.text._ZNSt6vectorI7M_ColorSaIS0_EED2Ev,"axG",@progbits,_ZNSt6vectorI7M_ColorSaIS0_EED5Ev,comdat
	.align 2
	.weak	_ZNSt6vectorI7M_ColorSaIS0_EED2Ev
	.type	_ZNSt6vectorI7M_ColorSaIS0_EED2Ev, @function
_ZNSt6vectorI7M_ColorSaIS0_EED2Ev:
.LFB3641:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movq	(%rdi), %rdi
	testq	%rdi, %rdi
	je	.L5
	call	_ZdlPv
.L5:
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3641:
	.size	_ZNSt6vectorI7M_ColorSaIS0_EED2Ev, .-_ZNSt6vectorI7M_ColorSaIS0_EED2Ev
	.weak	_ZNSt6vectorI7M_ColorSaIS0_EED1Ev
	.set	_ZNSt6vectorI7M_ColorSaIS0_EED1Ev,_ZNSt6vectorI7M_ColorSaIS0_EED2Ev
	.section	.text._ZNSt6vectorI8M_TexturSaIS0_EED2Ev,"axG",@progbits,_ZNSt6vectorI8M_TexturSaIS0_EED5Ev,comdat
	.align 2
	.weak	_ZNSt6vectorI8M_TexturSaIS0_EED2Ev
	.type	_ZNSt6vectorI8M_TexturSaIS0_EED2Ev, @function
_ZNSt6vectorI8M_TexturSaIS0_EED2Ev:
.LFB3644:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movq	(%rdi), %rdi
	testq	%rdi, %rdi
	je	.L7
	call	_ZdlPv
.L7:
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3644:
	.size	_ZNSt6vectorI8M_TexturSaIS0_EED2Ev, .-_ZNSt6vectorI8M_TexturSaIS0_EED2Ev
	.weak	_ZNSt6vectorI8M_TexturSaIS0_EED1Ev
	.set	_ZNSt6vectorI8M_TexturSaIS0_EED1Ev,_ZNSt6vectorI8M_TexturSaIS0_EED2Ev
	.section	.text._ZNSt6vectorI8M_VertexSaIS0_EED2Ev,"axG",@progbits,_ZNSt6vectorI8M_VertexSaIS0_EED5Ev,comdat
	.align 2
	.weak	_ZNSt6vectorI8M_VertexSaIS0_EED2Ev
	.type	_ZNSt6vectorI8M_VertexSaIS0_EED2Ev, @function
_ZNSt6vectorI8M_VertexSaIS0_EED2Ev:
.LFB3647:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movq	(%rdi), %rdi
	testq	%rdi, %rdi
	je	.L9
	call	_ZdlPv
.L9:
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3647:
	.size	_ZNSt6vectorI8M_VertexSaIS0_EED2Ev, .-_ZNSt6vectorI8M_VertexSaIS0_EED2Ev
	.weak	_ZNSt6vectorI8M_VertexSaIS0_EED1Ev
	.set	_ZNSt6vectorI8M_VertexSaIS0_EED1Ev,_ZNSt6vectorI8M_VertexSaIS0_EED2Ev
	.section	.rodata.str1.1,"aMS",@progbits,1
.LC0:
	.string	"a_Vertex"
.LC1:
	.string	"a_TexCoord"
.LC2:
	.string	"a_Color"
	.text
	.align 2
	.globl	_ZN3MOD14textureShader2Ev
	.type	_ZN3MOD14textureShader2Ev, @function
_ZN3MOD14textureShader2Ev:
.LFB3088:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movl	$_ZZN3MOD14textureShader2EvE12cockpit_frag, %edx
	movl	$_ZZN3MOD14textureShader2EvE12cockpit_vert, %esi
	movl	$uniform2, %edi
	call	_ZN7UNIFORM12createShaderEPKcS1_
	movl	c(%rip), %esi
	movl	$uniform2, %edi
	call	_ZN7UNIFORM13createProgramEj
	movl	$.LC0, %ecx
	movl	$0, %edx
	movl	c(%rip), %esi
	movl	$uniform2, %edi
	call	_ZN7UNIFORM8LocationEjjPKc
	movl	$.LC1, %ecx
	movl	$1, %edx
	movl	c(%rip), %esi
	movl	$uniform2, %edi
	call	_ZN7UNIFORM8LocationEjjPKc
	movl	$.LC2, %ecx
	movl	$2, %edx
	movl	c(%rip), %esi
	movl	$uniform2, %edi
	call	_ZN7UNIFORM8LocationEjjPKc
	movl	$1, %eax
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3088:
	.size	_ZN3MOD14textureShader2Ev, .-_ZN3MOD14textureShader2Ev
	.section	.rodata.str1.1
.LC3:
	.string	"glGenBuffers"
.LC4:
	.string	"glBindBuffer"
.LC5:
	.string	"glBufferData"
.LC6:
	.string	" VBO: NOT SUPPORTED "
.LC8:
	.string	"FONT/mono.tga"
	.section	.rodata.str1.8,"aMS",@progbits,1
	.align 8
.LC10:
	.string	" COULD NOT INITIALIZE THE FONT "
	.align 8
.LC11:
	.string	" COULD NOT INITIALIZE THE SHADER "
	.text
	.align 2
	.globl	_ZN3MOD11initCockpitEv
	.type	_ZN3MOD11initCockpitEv, @function
_ZN3MOD11initCockpitEv:
.LFB3089:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%r12
	pushq	%rbx
	subq	$16, %rsp
	.cfi_offset 12, -24
	.cfi_offset 3, -32
1:	call	mcount
	movl	$.LC3, %edi
	call	glXGetProcAddress
	movq	%rax, __glewGenBuffers(%rip)
	movl	$.LC4, %edi
	call	glXGetProcAddress
	movq	%rax, __glewBindBuffer(%rip)
	movl	$.LC5, %edi
	call	glXGetProcAddress
	movq	%rax, __glewBufferData(%rip)
	cmpq	$0, __glewGenBuffers(%rip)
	je	.L13
	cmpq	$0, __glewBindBuffer(%rip)
	je	.L13
	testq	%rax, %rax
	je	.L13
	movsd	.LC7(%rip), %xmm0
	call	glClearDepth
	movl	$2884, %edi
	call	glEnable
	movl	$2929, %edi
	call	glEnable
	movl	$515, %edi
	call	glDepthFunc
	leaq	-32(%rbp), %rsi
	movl	$2978, %edi
	call	glGetIntegerv
	movss	.LC9(%rip), %xmm0
	movl	-20(%rbp), %ecx
	movl	-24(%rbp), %edx
	movl	$.LC8, %esi
	movl	$tmfont2, %edi
	call	_ZN6TMFONT6TMFontEPKciif
	movl	$tmfont2, %edi
	call	_ZN6TMFONT8initFontEv
	movl	%eax, %ebx
	testb	%al, %al
	je	.L28
	movl	$mod2, %edi
	call	_ZN3MOD14textureShader2Ev
	movl	%eax, %ebx
	testb	%al, %al
	je	.L29
	movl	$vbos2, %esi
	movl	$4, %edi
	call	*__glewGenBuffers(%rip)
	movl	vbos2(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	movl	$35044, %ecx
	movq	n_colors(%rip), %rdx
	movl	$28800, %esi
	movl	$34962, %edi
	call	*__glewBufferData(%rip)
	movl	vbos2+4(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	movl	$35044, %ecx
	movq	n_texCoords(%rip), %rdx
	movl	$14400, %esi
	movl	$34962, %edi
	call	*__glewBufferData(%rip)
	movl	vbos2+8(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	movl	$35044, %ecx
	movq	n_vertices(%rip), %rdx
	movl	$21600, %esi
	movl	$34962, %edi
	call	*__glewBufferData(%rip)
	movl	vbos2+12(%rip), %esi
	movl	$34963, %edi
	call	*__glewBindBuffer(%rip)
	movl	$35044, %ecx
	movq	n_indices(%rip), %rdx
	movl	$21600, %esi
	movl	$34963, %edi
	call	*__glewBufferData(%rip)
	jmp	.L12
.L13:
	movl	$20, %edx
	movl	$.LC6, %esi
	movl	$_ZSt4cerr, %edi
	call	_ZSt16__ostream_insertIcSt11char_traitsIcEERSt13basic_ostreamIT_T0_ES6_PKS3_l
	movq	_ZSt4cerr(%rip), %rax
	movq	-24(%rax), %rax
	movq	_ZSt4cerr+240(%rax), %rbx
	testq	%rbx, %rbx
	je	.L30
	cmpb	$0, 56(%rbx)
	je	.L17
	movzbl	67(%rbx), %esi
.L18:
	movsbl	%sil, %esi
	movl	$_ZSt4cerr, %edi
	call	_ZNSo3putEc
	movq	%rax, %rdi
	call	_ZNSo5flushEv
	movl	$0, %ebx
.L12:
	movl	%ebx, %eax
	addq	$16, %rsp
	popq	%rbx
	popq	%r12
	popq	%rbp
	.cfi_remember_state
	.cfi_def_cfa 7, 8
	ret
.L30:
	.cfi_restore_state
	call	_ZSt16__throw_bad_castv
.L17:
	movq	%rbx, %rdi
	call	_ZNKSt5ctypeIcE13_M_widen_initEv
	movq	(%rbx), %rax
	movl	$10, %esi
	movq	%rbx, %rdi
	call	*48(%rax)
	movl	%eax, %esi
	jmp	.L18
.L28:
	movl	$31, %edx
	movl	$.LC10, %esi
	movl	$_ZSt4cerr, %edi
	call	_ZSt16__ostream_insertIcSt11char_traitsIcEERSt13basic_ostreamIT_T0_ES6_PKS3_l
	movq	_ZSt4cerr(%rip), %rax
	movq	-24(%rax), %rax
	movq	_ZSt4cerr+240(%rax), %r12
	testq	%r12, %r12
	je	.L31
	cmpb	$0, 56(%r12)
	je	.L22
	movzbl	67(%r12), %esi
.L23:
	movsbl	%sil, %esi
	movl	$_ZSt4cerr, %edi
	call	_ZNSo3putEc
	movq	%rax, %rdi
	call	_ZNSo5flushEv
	jmp	.L12
.L31:
	call	_ZSt16__throw_bad_castv
.L22:
	movq	%r12, %rdi
	call	_ZNKSt5ctypeIcE13_M_widen_initEv
	movq	(%r12), %rax
	movl	$10, %esi
	movq	%r12, %rdi
	call	*48(%rax)
	movl	%eax, %esi
	jmp	.L23
.L29:
	movl	$33, %edx
	movl	$.LC11, %esi
	movl	$_ZSt4cerr, %edi
	call	_ZSt16__ostream_insertIcSt11char_traitsIcEERSt13basic_ostreamIT_T0_ES6_PKS3_l
	movq	_ZSt4cerr(%rip), %rax
	movq	-24(%rax), %rax
	movq	_ZSt4cerr+240(%rax), %r12
	testq	%r12, %r12
	je	.L32
	cmpb	$0, 56(%r12)
	je	.L26
	movzbl	67(%r12), %esi
.L27:
	movsbl	%sil, %esi
	movl	$_ZSt4cerr, %edi
	call	_ZNSo3putEc
	movq	%rax, %rdi
	call	_ZNSo5flushEv
	jmp	.L12
.L32:
	call	_ZSt16__throw_bad_castv
.L26:
	movq	%r12, %rdi
	call	_ZNKSt5ctypeIcE13_M_widen_initEv
	movq	(%r12), %rax
	movl	$10, %esi
	movq	%r12, %rdi
	call	*48(%rax)
	movl	%eax, %esi
	jmp	.L27
	.cfi_endproc
.LFE3089:
	.size	_ZN3MOD11initCockpitEv, .-_ZN3MOD11initCockpitEv
	.align 2
	.globl	_ZN3MOD8C_VertexEfff
	.type	_ZN3MOD8C_VertexEfff, @function
_ZN3MOD8C_VertexEfff:
.LFB3090:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3090:
	.size	_ZN3MOD8C_VertexEfff, .-_ZN3MOD8C_VertexEfff
	.align 2
	.globl	_ZN3MOD7C_ColorEffff
	.type	_ZN3MOD7C_ColorEffff, @function
_ZN3MOD7C_ColorEffff:
.LFB3091:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3091:
	.size	_ZN3MOD7C_ColorEffff, .-_ZN3MOD7C_ColorEffff
	.align 2
	.globl	_ZN3MOD8C_TexturEff
	.type	_ZN3MOD8C_TexturEff, @function
_ZN3MOD8C_TexturEff:
.LFB3092:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3092:
	.size	_ZN3MOD8C_TexturEff, .-_ZN3MOD8C_TexturEff
	.section	.rodata.str1.1
.LC12:
	.string	"r"
.LC13:
	.string	"%f %f %f %f  %f %f  %f %f %f"
	.text
	.align 2
	.globl	_ZN3MOD10GridRasterEPKc
	.type	_ZN3MOD10GridRasterEPKc, @function
_ZN3MOD10GridRasterEPKc:
.LFB3093:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%rbx
	subq	$8, %rsp
	.cfi_offset 3, -24
1:	call	mcount
	movq	%rsi, %rdi
	movl	$.LC12, %esi
	call	fopen
	movq	%rax, %rbx
	jmp	.L37
.L38:
	movss	cl+12(%rip), %xmm3
	movss	cl+8(%rip), %xmm2
	movss	cl+4(%rip), %xmm1
	movss	cl(%rip), %xmm0
	call	glColor4f
	movss	cl+20(%rip), %xmm1
	movss	cl+16(%rip), %xmm0
	call	glTexCoord2f
	movss	cl+40(%rip), %xmm2
	movss	cl+36(%rip), %xmm1
	movss	cl+32(%rip), %xmm0
	call	glVertex3f
.L37:
	subq	$8, %rsp
	pushq	$cl+40
	pushq	$cl+36
	pushq	$cl+32
	pushq	$cl+20
	pushq	$cl+16
	movl	$cl+12, %r9d
	movl	$cl+8, %r8d
	movl	$cl+4, %ecx
	movl	$cl, %edx
	movl	$.LC13, %esi
	movq	%rbx, %rdi
	movl	$0, %eax
	call	__isoc99_fscanf
	addq	$48, %rsp
	cmpl	$-1, %eax
	jne	.L38
	movq	%rbx, %rdi
	call	fclose
	movq	-8(%rbp), %rbx
	leave
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3093:
	.size	_ZN3MOD10GridRasterEPKc, .-_ZN3MOD10GridRasterEPKc
	.align 2
	.globl	_ZN3MOD13PolygonMatrixEjjPKc
	.type	_ZN3MOD13PolygonMatrixEjjPKc, @function
_ZN3MOD13PolygonMatrixEjjPKc:
.LFB3094:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%r12
	pushq	%rbx
	.cfi_offset 12, -24
	.cfi_offset 3, -32
1:	call	mcount
	movl	%esi, %r12d
	movl	%edx, %esi
	movq	%rcx, %rbx
	movl	$1032, %edi
	call	glPolygonMode
	movl	%r12d, %edi
	call	glBegin
	movq	%rbx, %rsi
	movl	$mod2, %edi
	call	_ZN3MOD10GridRasterEPKc
	call	glEnd
	popq	%rbx
	popq	%r12
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3094:
	.size	_ZN3MOD13PolygonMatrixEjjPKc, .-_ZN3MOD13PolygonMatrixEjjPKc
	.align 2
	.globl	_ZN3MOD10DrawMatrixEjjii
	.type	_ZN3MOD10DrawMatrixEjjii, @function
_ZN3MOD10DrawMatrixEjjii:
.LFB3095:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%r13
	pushq	%r12
	pushq	%rbx
	subq	$8, %rsp
	.cfi_offset 13, -24
	.cfi_offset 12, -32
	.cfi_offset 3, -40
1:	call	mcount
	movl	%esi, %ebx
	movl	%edx, %esi
	movl	%ecx, %r13d
	movl	%r8d, %r12d
	movl	$1032, %edi
	call	glPolygonMode
	call	glPushMatrix
	movl	%r13d, %edx
	movl	%r12d, %esi
	movl	%ebx, %edi
	call	glDrawArrays
	call	glPopMatrix
	addq	$8, %rsp
	popq	%rbx
	popq	%r12
	popq	%r13
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3095:
	.size	_ZN3MOD10DrawMatrixEjjii, .-_ZN3MOD10DrawMatrixEjjii
	.align 2
	.globl	_ZN3MOD11vectorMetalEv
	.type	_ZN3MOD11vectorMetalEv, @function
_ZN3MOD11vectorMetalEv:
.LFB3096:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movl	$2832, %edi
	call	glEnable
	movss	.LC14(%rip), %xmm0
	call	glLineWidth
	movss	.LC15(%rip), %xmm0
	call	glPointSize
	movl	$0, %r8d
	movl	$66, %ecx
	movl	$6914, %edx
	movl	$4, %esi
	movl	$mod2, %edi
	call	_ZN3MOD10DrawMatrixEjjii
	movl	$160, %r8d
	movl	$44, %ecx
	movl	$6914, %edx
	movl	$7, %esi
	movl	$mod2, %edi
	call	_ZN3MOD10DrawMatrixEjjii
	movl	$220, %r8d
	movl	$44, %ecx
	movl	$6913, %edx
	movl	$7, %esi
	movl	$mod2, %edi
	call	_ZN3MOD10DrawMatrixEjjii
	movl	$270, %r8d
	movl	$16, %ecx
	movl	$6912, %edx
	movl	$0, %esi
	movl	$mod2, %edi
	call	_ZN3MOD10DrawMatrixEjjii
	movss	.LC16(%rip), %xmm0
	call	glPointSize
	movl	$1200, %r8d
	movl	$540, %ecx
	movl	$6912, %edx
	movl	$7, %esi
	movl	$mod2, %edi
	call	_ZN3MOD10DrawMatrixEjjii
	movl	$1200, %r8d
	movl	$540, %ecx
	movl	$6913, %edx
	movl	$7, %esi
	movl	$mod2, %edi
	call	_ZN3MOD10DrawMatrixEjjii
	movl	$1200, %r8d
	movl	$540, %ecx
	movl	$6914, %edx
	movl	$7, %esi
	movl	$mod2, %edi
	call	_ZN3MOD10DrawMatrixEjjii
	movl	$2832, %edi
	call	glDisable
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3096:
	.size	_ZN3MOD11vectorMetalEv, .-_ZN3MOD11vectorMetalEv
	.align 2
	.globl	_ZN3MOD12polygonMetalEv
	.type	_ZN3MOD12polygonMetalEv, @function
_ZN3MOD12polygonMetalEv:
.LFB3097:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	subq	$112, %rsp
1:	call	mcount
	movabsq	$7597414444659130692, %rax
	movq	%rax, -15(%rbp)
	movabsq	$32481972013264489, %rax
	movq	%rax, -8(%rbp)
	movabsq	$8387229930774348100, %rax
	movabsq	$32481971744107617, %rdx
	movq	%rax, -32(%rbp)
	movq	%rdx, -24(%rbp)
	movabsq	$7165054586780401988, %rax
	movabsq	$32481972029321323, %rdx
	movq	%rax, -48(%rbp)
	movq	%rdx, -40(%rbp)
	movabsq	$8314051934387716420, %rax
	movabsq	$8388350642027128180, %rdx
	movq	%rax, -80(%rbp)
	movq	%rdx, -72(%rbp)
	movabsq	$32481971778382184, %rax
	movq	%rax, -67(%rbp)
	movabsq	$8314051934387716420, %rax
	movabsq	$7310868739030934900, %rdx
	movq	%rax, -112(%rbp)
	movq	%rdx, -104(%rbp)
	movl	$7562798, -96(%rbp)
	movl	$2832, %edi
	call	glEnable
	movss	.LC14(%rip), %xmm0
	call	glLineWidth
	movss	.LC15(%rip), %xmm0
	call	glPointSize
	leaq	-32(%rbp), %rcx
	movl	$6914, %edx
	movl	$4, %esi
	movl	$mod2, %edi
	call	_ZN3MOD13PolygonMatrixEjjPKc
	leaq	-48(%rbp), %rcx
	movl	$6914, %edx
	movl	$7, %esi
	movl	$mod2, %edi
	call	_ZN3MOD13PolygonMatrixEjjPKc
	leaq	-48(%rbp), %rcx
	movl	$6913, %edx
	movl	$7, %esi
	movl	$mod2, %edi
	call	_ZN3MOD13PolygonMatrixEjjPKc
	leaq	-15(%rbp), %rcx
	movl	$6912, %edx
	movl	$0, %esi
	movl	$mod2, %edi
	call	_ZN3MOD13PolygonMatrixEjjPKc
	movss	.LC16(%rip), %xmm0
	call	glPointSize
	leaq	-80(%rbp), %rcx
	movl	$6912, %edx
	movl	$7, %esi
	movl	$mod2, %edi
	call	_ZN3MOD13PolygonMatrixEjjPKc
	leaq	-80(%rbp), %rcx
	movl	$6913, %edx
	movl	$7, %esi
	movl	$mod2, %edi
	call	_ZN3MOD13PolygonMatrixEjjPKc
	leaq	-112(%rbp), %rcx
	movl	$6914, %edx
	movl	$7, %esi
	movl	$mod2, %edi
	call	_ZN3MOD13PolygonMatrixEjjPKc
	movl	$2832, %edi
	call	glDisable
	leave
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3097:
	.size	_ZN3MOD12polygonMetalEv, .-_ZN3MOD12polygonMetalEv
	.align 2
	.globl	_ZN3MOD13vertexCockpitEv
	.type	_ZN3MOD13vertexCockpitEv, @function
_ZN3MOD13vertexCockpitEv:
.LFB3098:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movl	$33989, %edi
	call	*__glewActiveTextureARB(%rip)
	movl	$33989, %edi
	call	*__glewClientActiveTextureARB(%rip)
	movl	$0, %edi
	call	*__glewEnableVertexAttribArrayARB(%rip)
	movl	$1, %edi
	call	*__glewEnableVertexAttribArrayARB(%rip)
	movl	$2, %edi
	call	*__glewEnableVertexAttribArrayARB(%rip)
	movl	vbos2(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	movq	vcolor2(%rip), %r9
	movl	$0, %r8d
	movl	$0, %ecx
	movl	$5126, %edx
	movl	$3, %esi
	movl	$2, %edi
	call	*__glewVertexAttribPointerARB(%rip)
	movl	vbos2+8(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	movq	vcircle2(%rip), %r9
	movl	$0, %r8d
	movl	$0, %ecx
	movl	$5126, %edx
	movl	$3, %esi
	movl	$0, %edi
	call	*__glewVertexAttribPointerARB(%rip)
	movl	vbos2+4(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	movq	tcircle2(%rip), %r9
	movl	$0, %r8d
	movl	$0, %ecx
	movl	$5126, %edx
	movl	$2, %esi
	movl	$1, %edi
	call	*__glewVertexAttribPointerARB(%rip)
	movl	$mod2, %edi
	call	_ZN3MOD12polygonMetalEv
	movl	$2, %edi
	call	*__glewDisableVertexAttribArrayARB(%rip)
	movl	$1, %edi
	call	*__glewDisableVertexAttribArrayARB(%rip)
	movl	$0, %edi
	call	*__glewDisableVertexAttribArrayARB(%rip)
	movl	$33984, %edi
	call	*__glewActiveTextureARB(%rip)
	movl	$33984, %edi
	call	*__glewClientActiveTextureARB(%rip)
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3098:
	.size	_ZN3MOD13vertexCockpitEv, .-_ZN3MOD13vertexCockpitEv
	.align 2
	.globl	_ZN3MOD13renderCockpitEv
	.type	_ZN3MOD13renderCockpitEv, @function
_ZN3MOD13renderCockpitEv:
.LFB3099:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movl	$32886, %edi
	call	glEnableClientState
	movl	$32884, %edi
	call	glEnableClientState
	movl	$32888, %edi
	call	glEnableClientState
	movl	vbos2(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	movq	vcolor2(%rip), %rcx
	movl	$0, %edx
	movl	$5126, %esi
	movl	$4, %edi
	call	glColorPointer
	movl	vbos2+8(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	movq	vcircle2(%rip), %rcx
	movl	$0, %edx
	movl	$5126, %esi
	movl	$3, %edi
	call	glVertexPointer
	movl	vbos2+4(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	movq	tcircle2(%rip), %rcx
	movl	$0, %edx
	movl	$5126, %esi
	movl	$2, %edi
	call	glTexCoordPointer
	movl	$mod2, %edi
	call	_ZN3MOD12polygonMetalEv
	movl	$32888, %edi
	call	glDisableClientState
	movl	$32884, %edi
	call	glDisableClientState
	movl	$32886, %edi
	call	glDisableClientState
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3099:
	.size	_ZN3MOD13renderCockpitEv, .-_ZN3MOD13renderCockpitEv
	.section	.rodata.str1.1
.LC17:
	.string	"GWOS:"
.LC20:
	.string	"projection_matrix"
.LC21:
	.string	"modelview_matrix"
	.text
	.align 2
	.globl	_ZN3MOD7CockpitEv
	.type	_ZN3MOD7CockpitEv, @function
_ZN3MOD7CockpitEv:
.LFB3100:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	addq	$-128, %rsp
1:	call	mcount
	movl	$mov2, %edi
	call	_ZN3MOV10CameraLookEv
	movl	$mov2, %edi
	call	_ZN3MOV10ScalePlaneEv
	movl	$mov2, %edi
	call	_ZN3MOV10TransPlaneEv
	movss	.LC18(%rip), %xmm1
	movss	.LC19(%rip), %xmm0
	movl	$.LC17, %esi
	movl	$tmfont2, %edi
	call	_ZN6TMFONT11printStringEPKcff
	movl	c(%rip), %esi
	movl	$uniform2, %edi
	call	_ZN7UNIFORM11linkProgramEj
	movl	c(%rip), %esi
	movl	$uniform2, %edi
	call	_ZN7UNIFORM10bindShaderEj
	leaq	-128(%rbp), %rsi
	movl	$2983, %edi
	call	glGetFloatv
	leaq	-64(%rbp), %rsi
	movl	$2982, %edi
	call	glGetFloatv
	leaq	-128(%rbp), %r8
	movl	$0, %ecx
	movl	$.LC20, %edx
	movl	c(%rip), %esi
	movl	$uniform2, %edi
	call	_ZN7UNIFORM10Uniform4x4EjPKcbPKf
	leaq	-64(%rbp), %r8
	movl	$1, %ecx
	movl	$.LC21, %edx
	movl	c(%rip), %esi
	movl	$uniform2, %edi
	call	_ZN7UNIFORM10Uniform4x4EjPKcbPKf
	movl	$2929, %edi
	call	glEnable
	movl	$513, %edi
	call	glDepthFunc
	movl	$mod2, %edi
	call	_ZN3MOD13vertexCockpitEv
	movl	$vbos2, %esi
	movl	$4, %edi
	call	*__glewDeleteBuffers(%rip)
	movl	c(%rip), %esi
	movl	$uniform2, %edi
	call	_ZN7UNIFORM12DeleteShaderEj
	call	glFlush
	leave
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3100:
	.size	_ZN3MOD7CockpitEv, .-_ZN3MOD7CockpitEv
	.type	_GLOBAL__sub_I_uniform2, @function
_GLOBAL__sub_I_uniform2:
.LFB3669:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movl	$_ZStL8__ioinit, %edi
	call	_ZNSt8ios_base4InitC1Ev
	movl	$__dso_handle, %edx
	movl	$_ZStL8__ioinit, %esi
	movl	$_ZNSt8ios_base4InitD1Ev, %edi
	call	__cxa_atexit
	movq	$0, vcolor2(%rip)
	movq	$0, vcolor2+8(%rip)
	movq	$0, vcolor2+16(%rip)
	movl	$__dso_handle, %edx
	movl	$vcolor2, %esi
	movl	$_ZNSt6vectorIfSaIfEED1Ev, %edi
	call	__cxa_atexit
	movq	$0, tcircle2(%rip)
	movq	$0, tcircle2+8(%rip)
	movq	$0, tcircle2+16(%rip)
	movl	$__dso_handle, %edx
	movl	$tcircle2, %esi
	movl	$_ZNSt6vectorIfSaIfEED1Ev, %edi
	call	__cxa_atexit
	movq	$0, vcircle2(%rip)
	movq	$0, vcircle2+8(%rip)
	movq	$0, vcircle2+16(%rip)
	movl	$__dso_handle, %edx
	movl	$vcircle2, %esi
	movl	$_ZNSt6vectorIfSaIfEED1Ev, %edi
	call	__cxa_atexit
	movq	$0, n_colors(%rip)
	movq	$0, n_colors+8(%rip)
	movq	$0, n_colors+16(%rip)
	movl	$__dso_handle, %edx
	movl	$n_colors, %esi
	movl	$_ZNSt6vectorI7M_ColorSaIS0_EED1Ev, %edi
	call	__cxa_atexit
	movq	$0, n_texCoords(%rip)
	movq	$0, n_texCoords+8(%rip)
	movq	$0, n_texCoords+16(%rip)
	movl	$__dso_handle, %edx
	movl	$n_texCoords, %esi
	movl	$_ZNSt6vectorI8M_TexturSaIS0_EED1Ev, %edi
	call	__cxa_atexit
	movq	$0, n_vertices(%rip)
	movq	$0, n_vertices+8(%rip)
	movq	$0, n_vertices+16(%rip)
	movl	$__dso_handle, %edx
	movl	$n_vertices, %esi
	movl	$_ZNSt6vectorI8M_VertexSaIS0_EED1Ev, %edi
	call	__cxa_atexit
	movq	$0, n_indices(%rip)
	movq	$0, n_indices+8(%rip)
	movq	$0, n_indices+16(%rip)
	movl	$__dso_handle, %edx
	movl	$n_indices, %esi
	movl	$_ZNSt6vectorIjSaIjEED1Ev, %edi
	call	__cxa_atexit
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3669:
	.size	_GLOBAL__sub_I_uniform2, .-_GLOBAL__sub_I_uniform2
	.section	.init_array,"aw"
	.align 8
	.quad	_GLOBAL__sub_I_uniform2
	.section	.rodata
	.align 8
	.type	_ZZN3MOD14textureShader2EvE12cockpit_frag, @object
	.size	_ZZN3MOD14textureShader2EvE12cockpit_frag, 14
_ZZN3MOD14textureShader2EvE12cockpit_frag:
	.string	"GLSL/fly.frag"
	.align 8
	.type	_ZZN3MOD14textureShader2EvE12cockpit_vert, @object
	.size	_ZZN3MOD14textureShader2EvE12cockpit_vert, 14
_ZZN3MOD14textureShader2EvE12cockpit_vert:
	.string	"GLSL/fly.vert"
	.globl	n_indices
	.bss
	.align 16
	.type	n_indices, @object
	.size	n_indices, 24
n_indices:
	.zero	24
	.globl	n_vertices
	.align 16
	.type	n_vertices, @object
	.size	n_vertices, 24
n_vertices:
	.zero	24
	.globl	n_texCoords
	.align 16
	.type	n_texCoords, @object
	.size	n_texCoords, 24
n_texCoords:
	.zero	24
	.globl	n_colors
	.align 16
	.type	n_colors, @object
	.size	n_colors, 24
n_colors:
	.zero	24
	.globl	vcircle2
	.align 16
	.type	vcircle2, @object
	.size	vcircle2, 24
vcircle2:
	.zero	24
	.globl	tcircle2
	.align 16
	.type	tcircle2, @object
	.size	tcircle2, 24
tcircle2:
	.zero	24
	.globl	vcolor2
	.align 16
	.type	vcolor2, @object
	.size	vcolor2, 24
vcolor2:
	.zero	24
	.globl	c
	.align 4
	.type	c, @object
	.size	c, 4
c:
	.zero	4
	.globl	cl
	.align 32
	.type	cl, @object
	.size	cl, 48
cl:
	.zero	48
	.globl	vbos2
	.align 16
	.type	vbos2, @object
	.size	vbos2, 16
vbos2:
	.zero	16
	.globl	mod2
	.type	mod2, @object
	.size	mod2, 1
mod2:
	.zero	1
	.globl	mov2
	.type	mov2, @object
	.size	mov2, 1
mov2:
	.zero	1
	.globl	tmfont2
	.align 32
	.type	tmfont2, @object
	.size	tmfont2, 96
tmfont2:
	.zero	96
	.globl	uniform2
	.align 32
	.type	uniform2, @object
	.size	uniform2, 80
uniform2:
	.zero	80
	.local	_ZStL8__ioinit
	.comm	_ZStL8__ioinit,1,1
	.section	.rodata.cst8,"aM",@progbits,8
	.align 8
.LC7:
	.long	0
	.long	1072693248
	.section	.rodata.cst4,"aM",@progbits,4
	.align 4
.LC9:
	.long	1103626240
	.align 4
.LC14:
	.long	1065353216
	.align 4
.LC15:
	.long	1097859072
	.align 4
.LC16:
	.long	1084227584
	.align 4
.LC18:
	.long	1110704128
	.align 4
.LC19:
	.long	1129447424
	.hidden	__dso_handle
	.ident	"GCC: (GNU) 12.2.1 20220819 (Red Hat 12.2.1-2)"
	.section	.note.GNU-stack,"",@progbits
